# Sudoku

## Introduction

Ce projet a été conçu dans le cadre d'un projet du deuxième semestre du BUT Informatique à l'IUT de Fontainebleau. Il consiste en la création de deux programmes en Java :

-Un éditeur de grille de Sudoku permettant de créer, éditer et exporter des grilles de Sudoku.

-Un résolveur de grille de Sudoku permettant de résoudre les grilles manuellement ou automatiquement à l'aide d'un algorithme.

Pour connaître les règles de base du Sudoku, vous pouvez consulter cet article : 

[Règle sudoku](https://fr.wikipedia.org/wiki/Sudoku#R%C3%A8gles_de_base)


## Lancement du programme

### Compilation et lancement de l'éditeur de grille

Placez vous dans le répertoire Sudoku et :

Utilisez la commande suivante pour compiler et lancer l'éditeur de grille :
```bash
make editeur
```
### Compilation et lancement du résolveur de grille

Utilisez la commande suivante pour compiler et lancer le résolveur de grille :
```bash
make resolveur
```


## Auteurs

Conçu et développé par Wilfried BRIGITTE et Julian GALLEGO.

## Note
17/20 (Évalué par Luc Hernandez)